Bug 26459 - Firewalling and DHCP config contradiction
Summary: Firewalling and DHCP config contradiction
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-07 14:06 UTC by jfm2
Modified: 2014-03-17 02:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 17:24:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jfm2 2001-02-07 14:06:30 UTC
After selecting to configure IP through DHCP the user should not be 
allowed to use the 'strong' security option in the firewall step since 
this one will not let pass DHCP requests.  Another option would be to warn 
the user about this and in case he confirms then use stong settings except 
for DHCP.

Comment 1 Michael Fulbright 2001-02-07 16:25:55 UTC
I believe DHCP is intended to be allowed through all class of firewalls offered.

Assigning to a developer.

Comment 2 Bill Nottingham 2001-02-07 18:03:03 UTC
The idea is that if you have an interface configured via DHCP, the installer
silently selects to allow DHCP behind your back.

Did you use the graphical or text installer?

Comment 3 jfm2 2001-02-07 19:56:32 UTC
No, because I am curious I selected strong security after selecting config
through DHCP.  As foreseen the network card just waited for a DHCP reply who
never arrived.   I then rebooted single user , deleted the rules from
/etc/sysctl/ipchains and this time it worked.  So when you tell it to reject
anything coming through eth0 it drops DHCP too.

Comment 4 Bill Nottingham 2001-02-07 20:13:11 UTC
Um, maybe I misunderstood, but I still don't whether you used the graphical or
text installer.

Comment 5 jfm2 2001-02-08 13:07:54 UTC
Iused the graphic installer

Comment 6 Glen Foster 2001-02-08 15:51:33 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 7 Bill Nottingham 2001-02-08 17:24:04 UTC
Fixed in anaconda, should be in the next build; if any interface is selected
to use DHCP, DHCP will be automatically punched through the firewall.

Comment 8 Brock Organ 2001-02-19 19:02:58 UTC
verified fix in qa0217.1 test tree ...


Note You need to log in before you can comment on or make changes to this bug.